void printi(int val);

int main()
{
  unsigned int i, j, val;

  for (i = -2; (int)i < 3; i++)
    for (j = -2; (int)j < 3; j++) {
      val = i && j; printi(val);
      val = i || j; printi(val);
    }

  return 0;
}
